#:kivy 1.10.0

<MainWidget>:
    size: root.size
    id: main_widget
    BoxLayout:
        size: root.size
        orientation: "vertical"
        TabbedPanel:
            id: tabs
            size_hint_y: 0.85
            orientation: "vertical"
            pos_hint: {"center_x": .5, "center_y": .5}
            do_default_tab: False
            tab_width: root.width / 5

            TabbedPanelItem:
                text: "Clock & Weather"
                BoxLayout:
                    orientation: "vertical"
                    Label:
                        id: lblClock
                        font_size: 36
                        halign: "center"
                    Label:
                        id: lblWeather
                        font_size: 24
                        halign: "center"

            TabbedPanelItem:
                text: "Forecast"
                BoxLayout:
                    orientation: "vertical"
                    Label:
                        id: lblForecast
                        text: "No data"
                        font_size: 22

            TabbedPanelItem:
                text: "Radio"
                BoxLayout:
                    orientation: "horizontal"
                    RadioView:
                        id: radio_view
                        size_hint_x: 0.9
                    BoxLayout:
                        orientation: "vertical"
                        size_hint_x: 0.1
                        Button:
                            text: "U"
                            on_press: radio_view._startScrollUp()
                            on_release: radio_view._stopScrollUp()
                        Button:
                            text: "D"
                            on_press: radio_view._startScrollDown()
                            on_release: radio_view._stopScrollDown()

            TabbedPanelItem:
                text: "Files"
                BoxLayout:
                    orientation: "horizontal"
                    RadioFileChooser:
                        id: file_view
                        path: "/"
                        size_hint_x: 0.9
                        on_submit: root.playFiles(*args)
                    BoxLayout:
                        orientation: "vertical"
                        size_hint_x: 0.1
                        Button:
                            text: "U"
                            on_press: file_view._startScrollUp()
                            on_release: file_view._stopScrollUp()
                        Button:
                            text: "D"
                            on_press: file_view._startScrollDown()
                            on_release: file_view._stopScrollDown()

            TabbedPanelItem:
                text: "Settings"
                BoxLayout:
                    orientation: "vertical"
                    size_hint_y: 0.25
                    Button:
                        text: "Shutdown"
                        on_press: root.shutdown()
                    Button:
                        text: "Reboot"
                        on_press: root.reboot()
        BoxLayout:
            size_hint_y: 0.15
            orientation: "horizontal"
            BoxLayout:
                orientation: "horizontal"
                size_hint_x: 0.7
                Button:
                    id: btnStop
                    text: "Stop"
                    size_hint_x: 0.2
                    on_press: root.stopPlayback()
                Label:
                    id: lblPlaying
                    size_hint_x: 0.8
                    text_size: (self.width - 20, self.height)
                    halign: "left"
                    valign: "center"
            BoxLayout:
                orientation: "horizontal"
                size_hint_x: 0.3
                Button:
                    id: btnVolumeDown
                    valign: "center"
                    text: "-"
                    on_press: root._startVolumeDown()
                    on_release: root._stopVolumeDown()
                Label:
                    id: lblVolume
                    text: "100"
                Button:
                    id: btnVolumeUp
                    text: "+"
                    on_press: root._startVolumeUp()
                    on_release: root._stopVolumeUp()
                Button:
                    id: btnMute
                    text: "Mute"
                    on_press: root.toggleMute()
